Create an authentication session.
POST
/xrpc/com.atproto.server.createSession
Request Body required
Section titled “Request Body required ”object
password
required
string
identifier
required
Handle or other identifier supported by the server for the authenticating user.
string
allowTakendown
When true, instead of throwing error for takendown accounts, a valid response with a narrow scoped token will be returned
boolean
authFactorToken
string
Responses
Section titled “ Responses ”Success
object
did
required
string format: did
email
string
active
boolean
didDoc
handle
required
string format: handle
status
If active=false, this optional field indicates a possible reason for why the account is not active. If active=false and no status is supplied, then the host makes no claim for why the repository is no longer being hosted.
string
accessJwt
required
string
refreshJwt
required
string
emailConfirmed
boolean
emailAuthFactor
boolean
Bad Request